diff --git a/web/pgadmin/misc/static/explain/js/explain.js b/web/pgadmin/misc/static/explain/js/explain.js
index 9eeaa70..d9dc7f5 100644
--- a/web/pgadmin/misc/static/explain/js/explain.js
+++ b/web/pgadmin/misc/static/explain/js/explain.js
@@ -64,7 +64,7 @@ Snap.plugin(function (Snap, Element, Paper, glob) {
           );
 
       if (curr_line) {
-        lines = lines.slice(0, lines.length - 2);
+        lines = lines.slice(0, lines.length - 1);
       }
       lines = lines.concat(tmpArr);
       curr_line = lines[lines.length - 1];
@@ -376,9 +376,10 @@ var PlanModel = Backbone.Model.extend({
         if (isSubPlan) {
           g.rect(
             currentXpos - this.get('width') + pWIDTH + xMargin,
-            currentYpos - yMargin,
+            currentYpos - this.get('height') + pHEIGHT + yMargin - TXT_ALLIGN,
             this.get('width') - xMargin,
-            this.get('height'), 5
+            this.get('height') + (currentYpos - yMargin),
+            5
           ).attr({
               stroke: '#444444',
               'strokeWidth': 1.2,
@@ -461,7 +462,7 @@ var PlanModel = Backbone.Model.extend({
                             this.get('Schema')+"."+this.get('image_text'));
         var label = g.g();
         g.multitext(
-          currentXpos + (pWIDTH / 2),
+          currentXpos + (pWIDTH / 2) + TXT_ALLIGN,
           currentYpos + pHEIGHT - TXT_ALLIGN,
           node_label,
           150,
@@ -531,7 +532,7 @@ var MainPlanModel = Backbone.Model.extend({
            data['xpos'] = 0;
            data['ypos'] = 0;
            data['width'] = plan.get('width') + (xMargin * 2);
-           data['height'] = plan.get('height') + (yMargin * 2);
+           data['height'] = plan.get('height') + (yMargin * 4);
 
            delete data['Plan'];
         }
